#if !defined(AFX_NODEDATAVALUEFILEDOC_H__38050514_782B_11D3_9C1F_00609712FBEF__INCLUDED_)
#define AFX_NODEDATAVALUEFILEDOC_H__38050514_782B_11D3_9C1F_00609712FBEF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// NodeDataValueFileDoc.h : header file
//

#include "ContentTrackDoc.h"

/////////////////////////////////////////////////////////////////////////////
// CNodeDataValueFileDoc document

#include "NodeObject.h"

class CNodeDataValueFileDoc : public CContentTrackDoc
{
protected:
	CNodeDataValueFileDoc();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CNodeDataValueFileDoc)

// Attributes
public:
	CNodeObject *m_pActiveChild;
	int m_iReplaceAll;
protected:
	CString m_strRoot;
// Operations
public:
	CNodeDataValueFileProject *GetNodeProject() {return m_pNodeDataValueFileProject;}
	CNodeDisk *FindDirectoryNode(CString);
	CString GetRootDir() {return m_strRoot;}
	CNodeDiskDirectory *GetRootNode() {return m_pNodeDirectory;}

	afx_msg void OnEditCopy();
	afx_msg void OnEditPaste();
	CNodeObject *_OnEditPaste(CNodeObject *,CString = "",CString = "");

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CNodeDataValueFileDoc)
	public:
	virtual void Serialize(CArchive& ar);   // overridden for document i/o
	virtual BOOL OnOpenDocument(LPCTSTR lpszPathName);
	protected:
	virtual BOOL OnNewDocument();
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CNodeDataValueFileDoc();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	CNodeDiskDirectory *m_pNodeDirectory;
	CNodeDisk *FindDirectoryNode(CString,CNodeDisk *);
	CNodeDataValueFileProject * m_pNodeDataValueFileProject;
	//{{AFX_MSG(CNodeDataValueFileDoc)
	afx_msg void OnAddroot();
	afx_msg void OnFileSave();
	afx_msg void OnFileSaveAs();
	afx_msg void OnEditPasteRename();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_NODEDATAVALUEFILEDOC_H__38050514_782B_11D3_9C1F_00609712FBEF__INCLUDED_)
